<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Followupemail2
 * @version    2.2.3
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Followupemail2\Model\Source\Event;

use Aheadworks\Followupemail2\Api\Data\EventInterface;
use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class FailedEmailsMode
 * @package Aheadworks\Followupemail2\Model\Source\Event
 */
class FailedEmailsMode implements OptionSourceInterface
{
    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => EventInterface::FAILED_EMAILS_SKIP,
                'label' => __('Skip the failed email and continue sending out consecutive emails')
            ],
            [
                'value' => EventInterface::FAILED_EMAILS_CANCEL,
                'label' => __('Cancel all consecutive emails in the chain')
            ],
        ];
    }
}
